/* 
 * @Program for testing EntityReferences in Xml.
 * TestingEntityReference.java 
 * Author:-RoseIndia Team
 * Date:-19-July-2008
 */
import java.io.File;
import java.io.FileInputStream;
import javax.xml.stream.XMLInputFactory;
import javax.xml.stream.XMLStreamConstants;
import javax.xml.stream.XMLStreamReader;

public class TestingEntityReference {

    public static void main(String[] args) throws Exception {
        File f = new File("Document4.xml");

        XMLInputFactory factory = XMLInputFactory.newInstance();
        factory.setProperty(XMLInputFactory.IS_COALESCING, true);
        factory.setProperty(XMLInputFactory.IS_REPLACING_ENTITY_REFERENCES, true);

        XMLStreamReader reader = factory.createXMLStreamReader(new FileInputStream(f));
        System.out.println("Factory is validating: " + reader.getProperty(XMLInputFactory.IS_VALIDATING));
        System.out.print("Factory is Replacing Entity Reference: ");
        System.out.print(reader.getProperty(XMLInputFactory.IS_REPLACING_ENTITY_REFERENCES));

        while (reader.hasNext()) {
            int event = reader.next();
            if (event == XMLStreamConstants.CHARACTERS) {
                System.out.print(reader.getText());
            } else if (event == XMLStreamConstants.ENTITY_REFERENCE) {
                System.out.println("en: " + reader.getLocalName());
                System.out.println("er: " + reader.getText());
            }
        }
    }
}

